import 'package:flutter/material.dart';
import 'package:rkm_educa_app/componentes/text_custom.dart';
import 'package:rkm_educa_app/utils/dimensoes.dart';
import '../utils/cores.dart';

class ItemEvento extends StatelessWidget {

  String data;
  String titulo;
  String local;

  ItemEvento({
    required this.data,
    required this.titulo,
    required this.local
});

  @override
  Widget build(BuildContext context) {

    return Container(
      color: PaletaCores.branco,
      padding: const EdgeInsets.symmetric(horizontal: 20.0,vertical: 5),
      child: Column(
        children: [
          Container(
            width: Dimensoes.width*0.8,
            height: 85,
            padding: const EdgeInsets.symmetric(horizontal: 20.0),
            child: Column(
              children: [
                Padding(
                  padding: EdgeInsets.symmetric(vertical: 2),
                  child: Row(
                    children: [
                      TextCustom(text: 'Data',size: 14.0,fontWeight: FontWeight.bold),
                      SizedBox(width: 10,),
                      TextCustom(text: data,size: 14.0,fontWeight: FontWeight.normal,color: PaletaCores.cinzaClaro,),
                    ],
                  ),
                ),
                Padding(
                  padding: EdgeInsets.symmetric(vertical: 2),
                  child: Row(
                    children: [
                      TextCustom(text: 'Título',size: 14.0,fontWeight: FontWeight.bold),
                      SizedBox(width: 10,),
                      TextCustom(text: titulo),
                    ],
                  ),
                ),
                Padding(
                  padding: EdgeInsets.symmetric(vertical: 2),
                  child: Row(
                    children: [
                      TextCustom(text: 'Local',size: 14.0,fontWeight: FontWeight.bold),
                      SizedBox(width: 10,),
                      TextCustom(text: local),
                    ],
                  ),
                ),
              ],
            ),
          ),
          Container(width: double.infinity,height: 2,color: PaletaCores.divider,)
        ],
      ),
    );
  }
}
